Read one webhook delivery

​

Including the exact body we sent, for comparing against what you received.

Path Parameters

Responses

  • application/json
  • Missing or invalid API key

Request Example for get/v1/webhooks/deliveries/{deliveryId}
curl 'https://devapi.spendfigo.com/v1/webhooks/deliveries/{deliveryId}' \
  --header 'x-api-key: YOUR_SECRET_TOKEN'
{
  "code": 200,
  "message": "Request successful",
  "data": {
    "id": "c2f6f1b8-2b7e-4a2e-9d4e-2f1a9f3c1b77",
    "event": "collection.completed",
    "url": "string",
    "payload": {},
    "status_code": 200,
    "success": true,
    "error": null,
    "attempt": 1,
    "created_at": "2026-10-28T22:19:34.938Z"
  }
}